Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector
Class HttpRequestBase.PrivilegedGetSession

    java.lang.Object
      |
      +--org.apache.catalina.connector.HttpRequestBase.PrivilegedGetSession

All Implemented Interfaces:
  java.security.PrivilegedAction

Enclosing class:
  HttpRequestBase

protected class HttpRequestBase.PrivilegedGetSession
extends java.lang.Object
implements java.security.PrivilegedAction

Method Summary
`java.lang.Object` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### run

    public java.lang.Object run()

  Specified by:
    `run` in interface `java.security.PrivilegedAction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.